#!/bin/bash

# We need to install dependencies only for Docker
[[ ! -e /.dockerenv ]] && [[ ! -e /.dockerinit ]] && exit 0

set -xe

# Install git (the php image doesn't have it) which is required by composer
echo -e 'http://dl-cdn.alpinelinux.org/alpine/edge/main\nhttp://dl-cdn.alpinelinux.org/alpine/edge/community\nhttp://dl-cdn.alpinelinux.org/alpine/edge/testing' > /etc/apk/repositories
apk upgrade --update --no-cache \
	g++ \
	make \
	automake \
	curl \
	git \
	libmemcached-dev
	
echo 'apcu memcached' >> /usr/src/php-available-exts
	
docker-php-source extract
pecl install apcu-5.1.8 
pecl install memcached-3.0.3
docker-php-ext-enable apcu memcached
docker-php-source delete
